0

I'm trying to get my module to build correctly but it looks like it is having an issue with Apache 2.4. It looks like this is a known issue and a patch was issued for mod_authnz_external.c. This unfortunetly does not provide a fix for myself as I am not implementing authnz_external. Here is a dump of my logging.

configure

make

make install

0

got it.

cd modules/c/src/apache2/
sed -e s/remote_ip/client_ip/g     \
  -e s/remote_addr/client_addr/g   \
  -i mod_caucho.c > mod_caucho.b

mv mod_caucho.b mod_caucho.c

remote_* was renamed to client_* in Apache 2.4 ;)

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.